Uploaded image for project: 'FreeNAS / TrueNAS'
  1. FreeNAS / TrueNAS
  2. NAS-105520

Cannot create jails through UI as basejail

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Engineering Closed (View Workflow)
    • Priority: Low
    • Resolution: Duplicate
    • Affects Version/s: 11.3-U1
    • Fix Version/s: N/A
    • Component/s: None
    • Labels:
      None

      JEditor

        Description

        FAILED
        
        Stopped storage_1 due to VNET failure
        
        remove_circle_outlineMore info...
        
        Error: Traceback (most recent call last):
          File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 349, in run
            await self.future
          File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 388, in __run_body
            rv = await self.middleware.run_in_thread(self.method, *([self] + args))
          File "/usr/local/lib/python3.7/site-packages/middlewared/utils/run_in_thread.py", line 10, in run_in_thread
            return await self.loop.run_in_executor(self.run_in_thread_executor, functools.partial(method, *args, **kwargs))
          File "/usr/local/lib/python3.7/site-packages/middlewared/utils/io_thread_pool_executor.py", line 25, in run
            result = self.fn(*self.args, **self.kwargs)
          File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 965, in nf
            return f(*args, **kwargs)
          File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 753, in do_create
            empty=empty
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/iocage.py", line 587, in create
            clone_basejail=clone_basejail
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_create.py", line 100, in create_jail
            return self._create_jail(jail_uuid, location)
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_create.py", line 689, in _create_jail
            silent=self.silent)
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_start.py", line 87, in __init__
            raise e
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_start.py", line 84, in __init__
            self.__start_jail__()
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_start.py", line 670, in __start_jail__
            _callback=self.callback)
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 102, in logit
            callback(content, exception)
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 75, in callback
            raise callback_exception(message)
        RuntimeError: 
        Stopped storage_1 due to VNET failure

        Create jail window stats open. Further attempts to save do nothing.

        FreeNAS 11.3-U1

        <pool>iocage/jails/<jailname> is still created anyways.

        Jail Summary

        • Jail Name : storage

        • Release : 11.3-RELEASE

        • IPv4 Address : vnet0:bridge0|10.128.7.3/20

        • VNET Virtual Networking : Yes

        • IPv6 Address : vnet0:bridge0|2001:470:b09d::a80:703/64

        • Default Router For IPv4 : 10.128.0.1

        • Default Router For IPv6 : 2001:470:b09d::a80:1

        If you try to create it again, with the same jail name (because it's not in the list of existing jails), the following error occurs:

         

        FAILED
        
        Snapshot: Archives/iocage/releases/11.3-RELEASE/root@storage exists! Please manually run zfs destroy Archives/iocage/releases/11.3-RELEASE/root@storage if you wish to destroy it.
        
        More info...
        
        Error: Traceback (most recent call last):
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_create.py", line 325, in _create_jail
            su.check_call(['zfs', 'snapshot', dataset], stderr=su.PIPE)
          File "/usr/local/lib/python3.7/subprocess.py", line 363, in check_call
            raise CalledProcessError(retcode, cmd)
        subprocess.CalledProcessError: Command '['zfs', 'snapshot', 'Archives/iocage/releases/11.3-RELEASE/root@storage']' returned non-zero exit status 1.
        
        During handling of the above exception, another exception occurred:
        
        Traceback (most recent call last):
          File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 349, in run
            await self.future
          File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 388, in __run_body
            rv = await self.middleware.run_in_thread(self.method, *([self] + args))
          File "/usr/local/lib/python3.7/site-packages/middlewared/utils/run_in_thread.py", line 10, in run_in_thread
            return await self.loop.run_in_executor(self.run_in_thread_executor, functools.partial(method, *args, **kwargs))
          File "/usr/local/lib/python3.7/site-packages/middlewared/utils/io_thread_pool_executor.py", line 25, in run
            result = self.fn(*self.args, **self.kwargs)
          File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 965, in nf
            return f(*args, **kwargs)
          File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 753, in do_create
            empty=empty
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/iocage.py", line 587, in create
            clone_basejail=clone_basejail
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_create.py", line 100, in create_jail
            return self._create_jail(jail_uuid, location)
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_create.py", line 343, in _create_jail
            silent=self.silent)
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 102, in logit
            callback(content, exception)
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 75, in callback
            raise callback_exception(message)
        RuntimeError: Snapshot: Archives/iocage/releases/11.3-RELEASE/root@storage exists!
        PleaseFAILED
        
        Snapshot: Archives/iocage/releases/11.3-RELEASE/root@storage exists! Please manually run zfs destroy Archives/iocage/releases/11.3-RELEASE/root@storage if you wish to destroy it.
        
        More info...
        
        Error: Traceback (most recent call last):
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_create.py", line 325, in _create_jail
            su.check_call(['zfs', 'snapshot', dataset], stderr=su.PIPE)
          File "/usr/local/lib/python3.7/subprocess.py", line 363, in check_call
            raise CalledProcessError(retcode, cmd)
        subprocess.CalledProcessError: Command '['zfs', 'snapshot', 'Archives/iocage/releases/11.3-RELEASE/root@storage']' returned non-zero exit status 1.
        
        During handling of the above exception, another exception occurred:
        
        Traceback (most recent call last):
          File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 349, in run
            await self.future
          File "/usr/local/lib/python3.7/site-packages/middlewared/job.py", line 388, in __run_body
            rv = await self.middleware.run_in_thread(self.method, *([self] + args))
          File "/usr/local/lib/python3.7/site-packages/middlewared/utils/run_in_thread.py", line 10, in run_in_thread
            return await self.loop.run_in_executor(self.run_in_thread_executor, functools.partial(method, *args, **kwargs))
          File "/usr/local/lib/python3.7/site-packages/middlewared/utils/io_thread_pool_executor.py", line 25, in run
            result = self.fn(*self.args, **self.kwargs)
          File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 965, in nf
            return f(*args, **kwargs)
          File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 753, in do_create
            empty=empty
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/iocage.py", line 587, in create
            clone_basejail=clone_basejail
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_create.py", line 100, in create_jail
            return self._create_jail(jail_uuid, location)
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_create.py", line 343, in _create_jail
            silent=self.silent)
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 102, in logit
            callback(content, exception)
          File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_common.py", line 75, in callback
            raise callback_exception(message)
        RuntimeError: Snapshot: Archives/iocage/releases/11.3-RELEASE/root@storage exists!
        Please manually run zfs destroy Archives/iocage/releases/11.3-RELEASE/root@storage if you wish to destroy it. manually run zfs destroy Archives/iocage/releases/11.3-RELEASE/root@storage if you wish to destroy it.

         

         

          Attachments

            Attachments

              Issue Links

                Activity

                  People

                  Assignee:
                  releng Release Council
                  Reporter:
                  Bytor Cory Albrecht
                  Votes:
                  0 Vote for this issue
                  Watchers:
                  2 Start watching this issue

                    Dates

                    Created:
                    Updated:
                    Resolved: